# tools.hh File Reference

Tools to help loading automata. More...

Include dependency graph for tools.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

bool | has_attribute (const xercesc::Attributes &attrs, const char *key, const XMLCh *const uri=0)
| Getters.
void | set_attribute (xercesc::DOMElement *e, const std::string &k, const std::string &v)
| Setters.
xercesc::DOMElement * | create_element (xercesc::DOMDocument *doc, const std::string &e)
| XML Dom builders.

## Detailed Description

Tools to help loading automata.

See also:
  vcsn::xml::*Handler

Author:
  Florian Lesaint <florian.lesaint@lrde.epita.fr>

Definition in file tools.hh.